<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9DF20D86-A56E-4CF6-A3D8-F30421297B1B}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MyDb</RootNamespace>
    <AssemblyName>MyDb</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Bin\Debug\CommonControls\.NET4\</OutputPath>
    <DefineConstants>TRACE;DEBUG;FX40</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DocumentationFile>..\..\Bin\Debug\CommonControls\.NET4\MyDb.xml</DocumentationFile>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Bin\Release\CommonControls\.NET4\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>..\..\Bin\Release\CommonControls\.NET4\MyDb.xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Management" />
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DbManage\Authority.cs" />
    <Compile Include="DbManage\HtmlVarExtension.cs" />
    <Compile Include="DbManage\PinYin.cs" />
    <Compile Include="DbManage\Ini.cs" />
    <Compile Include="DbManage\Pram.cs" />
    <Compile Include="DbManage\Storage.cs" />
    <Compile Include="DbManage\Strings.cs" />
    <Compile Include="DbManage\sType.cs" />
    <Compile Include="DbManage\VarExtension.cs" />
    <Compile Include="FileFuns\ElevatedDragDropManager.cs" />
    <Compile Include="FileFuns\FileInfo.cs" />
    <Compile Include="FileFuns\BigFileOp.cs" />
    <Compile Include="FileFuns\Hosts.cs" />
    <Compile Include="FileFuns\RyImage.cs" />
    <Compile Include="FileFuns\SoundPlay.cs" />
    <Compile Include="FileFuns\RyFiles.cs" />
    <Compile Include="FileFuns\TxtFileEncoder.cs" />
    <Compile Include="HardWare\HardWare.cs" />
    <Compile Include="HardWare\Network.cs" />
    <Compile Include="HtmlAgilityPack.Shared\crc32.cs" />
    <Compile Include="HtmlAgilityPack.Shared\EncodingFoundException.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlAttribute.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlAttributeCollection.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlCmdLine.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlCommentNode.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlConsoleListener.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlDocument.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlDocument.PathMethods.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlDocument.Xpath.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlElementFlag.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlEntity.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNameTable.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNode.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNode.Encapsulator.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNode.Xpath.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNodeCollection.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNodeNavigator.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlNodeType.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlParseError.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlParseErrorCode.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlTextNode.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlWeb.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlWeb.Xpath.cs" />
    <Compile Include="HtmlAgilityPack.Shared\HtmlWebException.cs" />
    <Compile Include="HtmlAgilityPack.Shared\InvalidProgramException.cs" />
    <Compile Include="HtmlAgilityPack.Shared\IOLibrary.cs" />
    <Compile Include="HtmlAgilityPack.Shared\Metro\HtmlWeb.cs" />
    <Compile Include="HtmlAgilityPack.Shared\Metro\InvalidProgramException.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MimeTypeMap.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocument.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocumentCodeFragment.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocumentFragment.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocumentFragmentList.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocumentFragmentType.cs" />
    <Compile Include="HtmlAgilityPack.Shared\MixedCodeDocumentTextFragment.cs" />
    <Compile Include="HtmlAgilityPack.Shared\NameValuePair.cs" />
    <Compile Include="HtmlAgilityPack.Shared\NameValuePairList.cs" />
    <Compile Include="HtmlAgilityPack.Shared\Trace.cs" />
    <Compile Include="HtmlAgilityPack.Shared\Trace.FullFramework.cs" />
    <Compile Include="HtmlAgilityPack.Shared\Utilities.cs" />
    <Compile Include="Msg\MsgClient.cs" />
    <Compile Include="Msg\RyMemoryShare.cs" />
    <Compile Include="MyDb\DataProvider.cs" />
    <Compile Include="MyDb\DbExtension.cs" />
    <Compile Include="MyDb\DbInterface.cs" />
    <Compile Include="MyDb\MSSQL\clsMSSQLDb.cs" />
    <Compile Include="MyDb\MSSQL\SqlDataProvider.cs" />
    <Compile Include="MyDb\ryQuickSQL.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="RyWeb\HttpHelper.cs" />
    <Compile Include="RyWeb\HttpServer.cs" />
    <Compile Include="RyWeb\QuickWeb.cs" />
    <Compile Include="RyWeb\WebDav.cs" />
    <Compile Include="RyWeb\WebDecode.cs" />
    <Compile Include="SafeCheck\AES.cs" />
    <Compile Include="SafeCheck\Base64.cs" />
    <Compile Include="SafeCheck\MD5Sha1.cs" />
    <Compile Include="SafeCheck\UsingLock.cs" />
    <Compile Include="SysFuns\Auto.cs" />
    <Compile Include="SysFuns\ChinaDate.cs" />
    <Compile Include="SysFuns\HotkeyValue.cs" />
    <Compile Include="SysFuns\ModalResult.cs" />
    <Compile Include="Msg\CustomMsg.cs" />
    <Compile Include="Msg\MsgMain.cs" />
    <Compile Include="SysFuns\MultiThread.cs" />
    <Compile Include="SysFuns\ProcessExt.cs" />
    <Compile Include="SysFuns\RedistCheck.cs" />
    <Compile Include="SysFuns\RyDate.cs" />
    <Compile Include="SysFuns\RyForm.cs" />
    <Compile Include="SysFuns\RyRegedit.cs" />
    <Compile Include="SysFuns\RySystem.cs" />
    <Compile Include="SysFuns\RyWin32.cs" />
    <Compile Include="SysFuns\SuperForm.cs" />
    <Compile Include="SysFuns\WinHotReg.cs" />
    <Compile Include="WinAPI\Kernel32.cs" />
    <Compile Include="WinAPI\Structs.cs" />
    <Compile Include="WinAPI\GDI32.cs" />
    <Compile Include="WinAPI\User32.cs" />
    <Compile Include="_SCREEN_CAPTURE\ColorBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ColorBox.Designer.cs">
      <DependentUpon>ColorBox.cs</DependentUpon>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ColorBoxDesginer.cs" />
    <Compile Include="_SCREEN_CAPTURE\FrmCapture.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\FrmCapture.Designer.cs">
      <DependentUpon>FrmCapture.cs</DependentUpon>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ImageProcessBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ImageProcessBox.Designer.cs">
      <DependentUpon>ImageProcessBox.cs</DependentUpon>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\MouseHook.cs" />
    <Compile Include="_SCREEN_CAPTURE\ScreenCapture.cs" />
    <Compile Include="_SCREEN_CAPTURE\ToolButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ToolButton.Designer.cs">
      <DependentUpon>ToolButton.cs</DependentUpon>
    </Compile>
    <Compile Include="_SCREEN_CAPTURE\ToolButtonDesigner.cs" />
    <Compile Include="_SCREEN_CAPTURE\Win32.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="_SCREEN_CAPTURE\ColorBox.resx">
      <DependentUpon>ColorBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="_SCREEN_CAPTURE\FrmCapture.resx">
      <DependentUpon>FrmCapture.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="HtmlAgilityPack.Shared\HtmlAgilityPack.Shared.projitems" />
    <None Include="HtmlAgilityPack.Shared\HtmlAgilityPack.Shared.projitems.vspscc" />
    <None Include="HtmlAgilityPack.Shared\HtmlAgilityPack.Shared.shproj" />
    <None Include="HtmlAgilityPack.Shared\HtmlAgilityPack.Shared.shproj.vspscc" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>